# callable

callable ES6 classes

#### installation

```
npm i @specialblend/callable
```

#### example

```
import { Callable, __call__ } from '@specialblend/callable';

export class Person extends Callable {
    constructor(firstName, lastName) {
        super();
        super.firstName = firstName;
        super.lastName = lastName;
    }
    [__call__](middleName) {
        return `${this.firstName} ${middleName} ${this.lastName}`;
    }
    getShortName() {
        return {
            firstName: this.firstName,
            lastName: this.lastName,
        };
    }
}

const person = new Person('Jesus', 'Christ');
console.log(person.getShortName()); // => { firstName: 'Jesus', lastName: 'Christ' }
console.log(person('H.')); // => Jesus H. Christ
``` 
